from .character import Character, Boss

SCENES = ["森林", "村庄", "城堡", "洞穴", "山脉", "沙漠", "海岸", "火山"]

ENEMIES_BY_SCENE = {
    "森林": [
        Character("哥布林", 50, 5, 2, 3, 4),
        Character("巨狼", 60, 7, 2, 3, 4),
        Character("树妖", 70, 6, 3, 4, 5),
        Character("毒蛇", 45, 6, 2, 2, 8),
    ],
    "村庄": [
        Character("盗贼", 65, 6, 4, 3, 5),
        Character("兽人", 80, 8, 3, 4, 5),
        Character("流氓", 55, 5, 3, 3, 6),
        Character("狂战士", 90, 9, 2, 5, 4),
    ],
    "城堡": [
        Character("骷髅战士", 70, 10, 1, 3, 4),
        Character("恶龙的手下", 100, 12, 5, 3, 4),
        Character("吸血鬼", 85, 11, 3, 5, 6),
        Character("亡灵法师", 75, 10, 4, 6, 3, ["召唤骷髅战士"]),
    ],
    "洞穴": [
        Character("巨蝎", 75, 9, 3, 3, 4),
        Character("洞穴兽", 85, 10, 4, 3, 4),
        Character("洞穴蝙蝠", 50, 8, 2, 4, 9),
        Character("地精", 60, 9, 3, 3, 5),
    ],
    "山脉": [
        Character("山地巨人", 120, 15, 6, 3, 4),
        Character("恶龙", 200, 18, 8, 3, 4),
        Character("山地兽人", 110, 14, 4, 5, 5),
        Character("岩石傀儡", 130, 16, 2, 4, 3),
    ],
    "沙漠": [
        Character("沙漠强盗", 60, 7, 3, 3, 6),
        Character("沙虫", 70, 9, 2, 4, 8),
        Character("沙漠蜥蜴", 65, 8, 3, 3, 7),
        Character("沙漠巨蝎", 80, 10, 2, 3, 5),
    ],
    "海岸": [
        Character("海盗", 70, 8, 4, 3, 6),
        Character("鲨鱼", 90, 10, 1, 4, 7),
        Character("海妖", 85, 9, 5, 4, 8),
        Character("海怪", 100, 12, 3, 3, 6),
    ],
    "火山": [
        Character("火元素", 75, 10, 2, 5, 4),
        Character("岩浆怪", 90, 12, 1, 4, 3),
        Character("熔岩巨人", 110, 14, 2, 3, 4),
        Character("火山恶魔", 130, 16, 3, 4, 5),
    ],
}

BOSSES = {
    "森林": Boss("森林之王", 200, 15, 6, 8, 5),
    "村庄": Boss("盗贼头目", 220, 17, 7, 7, 6),
    "城堡": Boss("恶龙", 300, 20, 8, 10, 5),
    "洞穴": Boss("洞穴领主", 250, 18, 5, 9, 4),
    "山脉": Boss("巨魔王", 350, 22, 5, 15, 8),
    "沙漠": Boss("沙漠之主", 270, 19, 6, 11, 7),
    "海岸": Boss("海洋之王", 280, 20, 7, 12, 6),
    "火山": Boss("火山之主", 320, 21, 6, 13, 8),
}

LOVE_INTERESTS = [
    Character("艾米丽", 100, 8, 8, 10, 5),
    Character("伊丽莎白", 100, 7, 9, 10, 5),
    Character("凯瑟琳", 100, 9, 7, 10, 5),
    Character("朱莉娅", 100, 6, 10, 10, 5),
    Character("维多利亚", 100, 8, 8, 10, 5),
    Character("安娜", 100, 7, 9, 10, 5),
    Character("索菲亚", 100, 9, 7, 10, 5),
    Character("克莱尔", 100, 6, 10, 10, 5),
    Character("玛丽亚", 100, 8, 9, 10, 5),
    Character("艾琳", 100, 9, 8, 10, 5)
]
